﻿       data WORK.csvtest    ;
       %let _EFIERR_ = 0; /* set the ERROR detection macro variable */
       infile 'C:\Users\Ondra\Desktop\FI\IS studenti maji 21.2\cs-training.csv' delimiter = ','
  DSD lrecl=32767 firstobs=2 ;
          informat _ best32. ;
          informat SeriousDlqin2yrs best32. ;
          informat RevolvingUtilizationOfUnsecuredL best32. ;
          informat age best32. ;
          informat NumberOfTime30_59DaysPastDueNotW best32. ;
          informat DebtRatio best32. ;
          informat MonthlyIncome $5. ;
          informat NumberOfOpenCreditLinesAndLoans best32. ;
          informat NumberOfTimes90DaysLate best32. ;
          informat NumberRealEstateLoansOrLines best32. ;
          informat NumberOfTime60_89DaysPastDueNotW best32. ;
          informat NumberOfDependents $2. ;
          format _ best12. ;
          format SeriousDlqin2yrs best12. ;
          format RevolvingUtilizationOfUnsecuredL best12. ;
          format age best12. ;
          format NumberOfTime30_59DaysPastDueNotW best12. ;
          format DebtRatio best12. ;
          format MonthlyIncome $5. ;
          format NumberOfOpenCreditLinesAndLoans best12. ;
          format NumberOfTimes90DaysLate best12. ;
          format NumberRealEstateLoansOrLines best12. ;
          format NumberOfTime60_89DaysPastDueNotW best12. ;
          format NumberOfDependents $2. ;
       input
                   _
                   SeriousDlqin2yrs
                   RevolvingUtilizationOfUnsecuredL
                   age
                   NumberOfTime30_59DaysPastDueNotW
                   DebtRatio
                   MonthlyIncome $
                   NumberOfOpenCreditLinesAndLoans
                   NumberOfTimes90DaysLate
                   NumberRealEstateLoansOrLines
                   NumberOfTime60_89DaysPastDueNotW
                   NumberOfDependents $
       ;
       if _ERROR_ then call symputx('_EFIERR_',1);  /* set ERROR detection macro variable */
       run;
