﻿* prejmenovat (podtrzitka), oddelovac je carka, data od druheho radku(firstobs z logu sasu);


DATA work.cs_training2;

    LENGTH
        F1                 8
        SeriousDlqin2yrs   8
        RevolvingUtilizationOfUnsecuredL   8
        age                8
        NumberOfTime30_59DaysPastDueNotW   8
        DebtRatio          8
        MonthlyIncome    $ 7
        NumberOfOpenCreditLinesAndLoans   8
        NumberOfTimes90DaysLate   8
        NumberRealEstateLoansOrLines   8
        NumberOfTime60_89DaysPastDueNotW   8
        NumberOfDependents $ 2 ;
    LABEL
        RevolvingUtilizationOfUnsecuredL = "RevolvingUtilizationOfUnsecuredLines"
        NumberOfTime30_59DaysPastDueNotW = "NumberOfTime30_59DaysPastDueNotWorse"
        NumberOfTime60_89DaysPastDueNotW = "NumberOfTime60_89DaysPastDueNotWorse" ;
    FORMAT
        F1               BEST6.
        SeriousDlqin2yrs BEST1.
        RevolvingUtilizationOfUnsecuredL BEST11.
        age              BEST3.
        NumberOfTime30_59DaysPastDueNotW BEST2.
        DebtRatio        BEST11.
        MonthlyIncome    $CHAR7.
        NumberOfOpenCreditLinesAndLoans BEST2.
        NumberOfTimes90DaysLate BEST2.
        NumberRealEstateLoansOrLines BEST2.
        NumberOfTime60_89DaysPastDueNotW BEST2.
        NumberOfDependents $CHAR2. ;
    INFORMAT
        F1               BEST6.
        SeriousDlqin2yrs BEST1.
        RevolvingUtilizationOfUnsecuredL BEST11.
        age              BEST3.
        NumberOfTime30_59DaysPastDueNotW BEST2.
        DebtRatio        BEST11.
        MonthlyIncome    $CHAR7.
        NumberOfOpenCreditLinesAndLoans BEST2.
        NumberOfTimes90DaysLate BEST2.
        NumberRealEstateLoansOrLines BEST2.
        NumberOfTime60_89DaysPastDueNotW BEST2.
        NumberOfDependents $CHAR2. ;
    INFILE 'C:\Users\Ondra\Desktop\FI\IS studenti maji 21.2\cs-training.csv'
        LRECL=56
        ENCODING="WLATIN2"
        TERMSTR=CRLF
        DLM=','
        MISSOVER
		firstobs=2
        DSD ;
    INPUT
        F1               : ?? BEST6.
        SeriousDlqin2yrs : ?? BEST1.
        RevolvingUtilizationOfUnsecuredL : ?? COMMA11.
        age              : ?? BEST3.
        NumberOfTime30_59DaysPastDueNotW : ?? BEST2.
        DebtRatio        : ?? COMMA11.
        MonthlyIncome    : $CHAR7.
        NumberOfOpenCreditLinesAndLoans : ?? BEST2.
        NumberOfTimes90DaysLate : ?? BEST2.
        NumberRealEstateLoansOrLines : ?? BEST2.
        NumberOfTime60_89DaysPastDueNotW : ?? BEST2.
        NumberOfDependents : $CHAR2. ;
RUN;
