﻿libname dm1 "C:\Users\Ondra\Desktop\FI\IS studenti maji 21.2";


DATA dm1.celek_cs_training;
    LENGTH
        id                 8
        SeriousDlqin2yrs   8
        RevolvingUtilizationOfUnsecuredL   8
        age                8
         NumberOfTime30_59DaysPastDueNotW   8
        DebtRatio          8
        MonthlyIncome    8
        NumberOfOpenCreditLinesAndLoans   8
        NumberOfTimes90DaysLate   8
        NumberRealEstateLoansOrLines   8
         NumberOfTime60_89DaysPastDueNotW   8
        NumberOfDependents  3 ;
    LABEL
        RevolvingUtilizationOfUnsecuredL = "RevolvingUtilizationOfUnsecuredLines"
         NumberOfTime30_59DaysPastDueNotW = "NumberOfTime30_59DaysPastDueNotWorse"
         NumberOfTime60_89DaysPastDueNotW = "NumberOfTime60_89DaysPastDueNotWorse" ;
    FORMAT
        id               BEST8.
        SeriousDlqin2yrs BEST1.
        RevolvingUtilizationOfUnsecuredL BEST11.
        age              BEST3.
         NumberOfTime30_59DaysPastDueNotW BEST2.
        DebtRatio        BEST11.
        MonthlyIncome    BEST8.
        NumberOfOpenCreditLinesAndLoans BEST2.
        NumberOfTimes90DaysLate BEST2.
        NumberRealEstateLoansOrLines BEST2.
         NumberOfTime60_89DaysPastDueNotW BEST2.
        NumberOfDependents BEST2. ;
    INFORMAT
        id               BEST8.
        SeriousDlqin2yrs BEST1.
        RevolvingUtilizationOfUnsecuredL BEST11.
        age              BEST3.
         NumberOfTime30_59DaysPastDueNotW  BEST2.
        DebtRatio        BEST11.
        MonthlyIncome    BEST8.
        NumberOfOpenCreditLinesAndLoans BEST2.
        NumberOfTimes90DaysLate BEST2.
        NumberRealEstateLoansOrLines BEST2.
         NumberOfTime60_89DaysPastDueNotW BEST2.
        NumberOfDependents BEST2. ;
    INFILE 'C:\Users\Ondra\Desktop\FI\IS studenti maji 21.2\cs-training.csv'
        ENCODING="WLATIN2"
        DLM=','
 		firstobs=2
/*TERMSTR=CRLF
MISSOVER
         */ DSD
 ;
    INPUT
        id               
        SeriousDlqin2yrs 
        RevolvingUtilizationOfUnsecuredL 
        age              
         NumberOfTime30_59DaysPastDueNotW 
        DebtRatio        
        MonthlyIncome    
        NumberOfOpenCreditLinesAndLoans 
        NumberOfTimes90DaysLate 
        NumberRealEstateLoansOrLines 
         NumberOfTime60_89DaysPastDueNotW 
        NumberOfDependents  ;
RUN;


data dm1.celek_cs_trainingMALY (compress=yes);
set dm1.celek_cs_training;
run;


ods html file="C:\Users\Ondra\Desktop\FI\IS studenti maji 21.2\print_cars.html" style=sasweb;
proc print data=dm1.cars;
var model horsepower;

where type='Truck'
;
run;
ods html close;
/*nebo vyklikat v EG a pak jen print: */
ods html file="C:\Users\Ondra\Desktop\FI\IS studenti maji 21.2\print_cars2.html" style=sasweb;
proc print data=work.FILTER_FOR_CARS ; run;
ods html close;
/*konec */


ods rtf file="C:\Users\Ondra\Desktop\FI\IS studenti maji 21.2\print_cars.rtf";
proc print data=comp.cars;
var model horsepower;

where type='Truck'
;
run;
ods rtf close;


ods pdf file="C:\Users\Ondra\Desktop\FI\IS studenti maji 21.2\print_cars.pdf";
proc print data=comp.cars;
var model horsepower;

where type='Truck'
;
run;
ods pdf close;
